Page MenuHomePhabricator

Disable local uploads on ms.wikipedia.org (Malay Wikipedia)
Closed, ResolvedPublic

Description

Per consensus on https://ms.wikipedia.org/w/index.php?title=Wikipedia:Kedai_Kopi_(dasar)&oldid=3832009#Wikimedia_Commons (only people in favour of the proposal), please set $wgEnableUploads = false on the Malay Wikipedia, with $wgUploadNavigationUrl = '//commons.wikimedia.org/wiki/Special:UploadWizard'.

Event Timeline

Nemo_bis created this task.Jul 24 2016, 4:45 PM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptJul 24 2016, 4:45 PM
MarcoAurelio triaged this task as Low priority.
MarcoAurelio moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Change 300758 had a related patch set uploaded (by MarcoAurelio):
Disabling local uploads on ms.wikipedia.org

https://gerrit.wikimedia.org/r/300758

Change 300758 merged by jenkins-bot:
Disabling local uploads on ms.wikipedia.org

https://gerrit.wikimedia.org/r/300758

MarcoAurelio closed this task as Resolved.Jul 26 2016, 11:29 PM

Deployed. Non-sysops are no longer able to do local uploads on mswiki as requested and discussed.

Nemo_bis renamed this task from Set $wgEnableUploads = false on ms.wikipedia.org to Disable local uploads on ms.wikipedia.org (Malay Wikipedia).Jul 27 2016, 5:02 AM
Nemo_bis reopened this task as Open.Aug 13 2016, 7:58 AM

https://ms.wikipedia.org/w/index.php?title=Wikipedia%3AKedai_Kopi_%28dasar%29&type=revision&diff=3848028&oldid=3847943 confirmed that they want $wgEnableUploads = false so that admins can't upload either.

https://ms.wikipedia.org/w/index.php?title=Wikipedia%3AKedai_Kopi_%28dasar%29&type=revision&diff=3848028&oldid=3847943 confirmed that they want $wgEnableUploads = false so that admins can't upload either.

Working on it.

Change 305436 had a related patch set uploaded (by Liuxinyu970226):
Fully restrict uploads on ms.wikipedia

https://gerrit.wikimedia.org/r/305436

Change 305436 merged by jenkins-bot:
Fully restrict uploads on ms.wikipedia

https://gerrit.wikimedia.org/r/305436

Mentioned in SAL [2016-08-24T13:48:03Z] <zfilipin@tin> Synchronized dblists/commonsuploads.dblist: Fully restrict uploads on ms.wikipedia T141227 (duration: 00m 46s)

Mentioned in SAL [2016-08-24T13:49:03Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: Fully restrict uploads on ms.wikipedia T141227 (duration: 00m 46s)

MarcoAurelio closed this task as Resolved.Aug 24 2016, 1:53 PM

File uploads are now totally disabled locally as requested. It is however worth noting that people will still have upload rights as appears on Special:ListGroupRights, however if they access Special:Upload, an error message will appear even for them. Maybe those should be removed at all wikis with uploads fully disabled to avoid confusion. Thanks.